Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class DefaultJavaComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.component.DefaultJavaComponent

All Implemented Interfaces:
  Component, JavaComponent, FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

Direct Known Subclasses:
  AbderaServiceComponent

    public class DefaultJavaComponent

extends AbstractJavaComponent

Default implementation of `JavaComponent`. Component lifecycle is propagated to the component object instance via the `LifecycleAdapter`.

Field Summary
`protected LifecycleAdapter` | `singletonComponentLifecycleAdapter`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindings, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`flowConstruct, interceptorChain, interceptors, logger, muleContext, notificationHandler, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultJavaComponent()` For spring only
`DefaultJavaComponent(ObjectFactory objectFactory)`
`DefaultJavaComponent(ObjectFactory objectFactory, EntryPointResolverSet entryPointResolverSet, List<InterfaceBinding> bindings)`

Method Summary
`protected LifecycleAdapter` | `borrowComponentLifecycleAdaptor()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`protected void` | `returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifecycleAdaptor, doInitialise, doInvoke, getEntryPointResolverSet, getInterfaceBindings, getLifecycleAdapterFactory, getObjectFactory, getObjectType, injectService, invokeComponentInstance, setEntryPointResolvers, setEntryPointResolverSet, setFlowConstruct, setInterfaceBindings, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`createResultEvent, dispose, fireComponentNotification, getFlowConstruct, getInterceptors, getStatistics, initialise, process, release, setInterceptors, setMuleContext, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getStatistics`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Field Detail

### singletonComponentLifecycleAdapter

    protected LifecycleAdapter singletonComponentLifecycleAdapter

Constructor Detail

### DefaultJavaComponent

    public DefaultJavaComponent()

  For spring only

### DefaultJavaComponent

    public DefaultJavaComponent(ObjectFactory objectFactory)

### DefaultJavaComponent

    public DefaultJavaComponent(ObjectFactory objectFactory,
                                EntryPointResolverSet entryPointResolverSet,
                                List<InterfaceBinding> bindings)

Method Detail

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractJavaComponent`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractComponent`
  Throws:
    `MuleException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractJavaComponent`

### borrowComponentLifecycleAdaptor

    protected LifecycleAdapter borrowComponentLifecycleAdaptor()
                                                        throws Exception

  Specified by:
    `borrowComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

### returnComponentLifecycleAdaptor

    protected void returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)
                                            throws Exception

  Specified by:
    `returnComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.